Download it now!
Bug 80332 - Clean up of Windows installer to remove "Support assistive technology tools" check box and setting of SAL_ACCESSIBILITY_ENABLED
Summary: Clean up of Windows installer to remove "Support assistive technology tools" ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.3.0.2
Keywords:
Depends on: 39833 80527
Blocks: a11y-Windows
  Show dependency treegraph
 
Reported: 2014-06-21 14:53 UTC by V Stuart Foote
Modified: 2014-07-03 12:06 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screen clip of MSI package error 2814 for EnableATTools (29.23 KB, image/png)
2014-06-23 13:37 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2014-06-21 14:53:45 UTC
This request is simply to clean up the GUI Installer.

At LibreOffice 4.3, we now provide an "always on" IAccessible2 native bridge for Windows as complete replacement for Java JRE JAB based assistive technology tools support.

The IAccessible2 implementation detects when assistive technology is in use. Such that the manual check-box added to the installer for bug 38933 to set a SAL_ACCESSIBILITY_ENABLED Windows system environment variable ( HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment ) is no longer required--and in fact is confusing.

That is, we have provided AT on Windows that simply works when required.

Code related to the SAL_ACCESSIBILITY_ENABLED should probably also be removed.
Comment 1 V Stuart Foote 2014-06-21 15:01:45 UTC
Might be worthwhile to clear this prior to the 4.3.0 rc2 builds, I'm pretty sure the Windows installer GUI change can be made, but I am not 100% about handlin of the SAL_ACCESSIBILITY_ENABLED.

So, other than Andras (who did the original packaging work) could you call compare notes on the auto activation of IAccessible2.

Stuart
Comment 2 Commit Notification 2014-06-22 09:03:15 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=674db242c037020626050c8de06367808d94eaaa

fdo#80332 remove "Support assistive technology tools" checkbox from installer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Andras Timar 2014-06-22 09:17:44 UTC
https://gerrit.libreoffice.org/9851

> Code related to the SAL_ACCESSIBILITY_ENABLED should probably also be removed.

I don't know, because it may be useful on other platforms, than Windows.
Comment 4 Commit Notification 2014-06-23 09:06:29 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7beb56826bf57de563ed70cea7043dccc33756d&h=libreoffice-4-3

fdo#80332 remove "Support assistive technology tools" checkbox from installer


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2014-06-23 13:37:11 UTC
Created attachment 101590 [details]
screen clip of MSI package error 2814 for EnableATTools

@Andras,

On Windows 7 sp1, 64-bit en-US, with a /A administrative install of today's TB39 build
Version: 4.4.0.0.alpha0+
Build ID: bdd87b2acddb2e244569dcc8f228e270614dc59e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-23_00:37:24

The build runs fine as a /A parallel install.

But when I attempted to run the resulting .MSI as installation, runing as custom install, and deselect the MS Office file associations, on the next panel (that used to hold the "Support assistive technology tools" check box and check box to add a desktop icon) I get the attached Internal Error 2814 for the EnableATTools, did we miss a piece in the installer?
Comment 6 V Stuart Foote 2014-06-23 13:40:38 UTC
Just a bit more to add. I opened the MSI package with ORCA and in the Tables -> Control -> Dialog  "Ready to Install"  the DesktopLink control has a Control_Next of EnableATTools.
Comment 7 Commit Notification 2014-06-23 14:12:32 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bc07cce52470f08872bba75411d88543c4cbd0f

fdo#80332 followup fix



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-06-23 14:14:11 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a28256553dcc29d67c530b29727bfbf3ba6aa81a&h=libreoffice-4-3

fdo#80332 followup fix


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 V Stuart Foote 2014-06-26 01:16:55 UTC
MSI Installer package still not quite correct...

Attempting to install master~2014-06-25_00.23.12_LibreOfficeDev_4.4.0.0.alpha0_Win_x86.msi 

Now get the error:

LibreOfficeDev 4.4.0.0alpha0 Installation Wizard
Internal Error 2810. ReadyToInstall,EnableQuickstart,Back
Comment 10 V Stuart Foote 2014-06-26 01:34:31 UTC
@Andras, sorry just saw you've already fixed it for bug 80527 with 
http://cgit.freedesktop.org/libreoffice/core/commit/?id=54c6f08c2061f1af1a545e6b50d447f14b806057
Comment 11 V Stuart Foote 2014-07-03 12:06:47 UTC
On Windows 7 sp1, 64-bit en-US with
Version: 4.3.0.2
Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409

All seems correct